apiVersion: v1
kind: Service
metadata:
  name: test-consumer
  labels:
    app: test-consumer
    service: test-consumer
    group: nara-drama
spec:
  ports:
    - name: http
      port: 8080
      targetPort: 8080
  selector:
    app: test-consumer
    group: nara-drama
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: test-consumer
spec:
  hosts:
    - "*"
  gateways:
    - nara-gateway
  http:
    - match:
        - uri:
            prefix: /api/test-consumer/
      rewrite:
        uri: /
      route:
        - destination:
            host: test-consumer
            port:
              number: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-consumer
  labels:
    app: test-consumer
    group: nara-drama
    version: 1.0-snapshot
spec:
  replicas: 1
  selector:
    matchLabels:
      app: test-consumer
      group: nara-drama
      version: 1.0-snapshot
  template:
    metadata:
      labels:
        app: test-consumer
        group: nara-drama
        version: 1.0-snapshot
      annotations:
        sidecar.istio.io/inject: "true"
    spec:
      serviceAccountName: nara-service-account
#      hostAliases:
#        - ip: "11.078.138.141"
#          hostnames:
#            - "sku-bskafka-p01.dwp.com"
      containers:
      - name: test-consumer
        image: gcr.io/nara-dev/nara-drama/test-consumer:manual
        imagePullPolicy: Always
        ports:
          - name: http
            containerPort: 8080
        envFrom:
          - configMapRef:
              name: test-consumer
#      imagePullSecrets:
#        - name: gcr.io-pull-secret